منصوبے
GET https://0o0.online/api/projects/
curl --request GET \
--url 'https://0o0.online/api/projects/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/projects/' \
--header 'Authorization: Bearer {api_key}' \
| پیرامیٹرز | تفصیلات | تفصیل |
|---|---|---|
| search | اختیاری سٹینج | تلاش کے سلسلے |
| search_by | اختیاری سٹینج | آپ کس قسم کی فہرست تلاش کر رہے ہیں؟ اجازت دی گئی قیمتیں ہیں: name. |
| datetime_field | اختیاری سٹینج | قابل قدر قیمتیں: datetime, last_datetime |
| datetime_start | اختیاری سٹینج | اس تاریخ سے شروع ہونے والے نتائج کو فلٹر کریں. Y-m-d H:i:s فارمیٹ |
| datetime_end | اختیاری سٹینج | اس تاریخ تک نتائج فلٹر کریں. Y-m-d H:i:s فارمیٹ |
| order_by | اختیاری سٹینج | کیا میدان میں نتائج کی ترتیب کرنے کے لئے. اجازت دی گئی قیمتیں ہیں: project_id, datetime, last_datetime, name. |
| order_type | اختیاری سٹینج | نتائج کا آرڈر کریں۔ اجازت دی گئی قیمتیں ہیں: ASC اس کے علاوہ، اعلی درجے کی سفارشات اور DESC نیچے کی سفارش کے لئے. |
| page | اختیاری شامل کریں | صفحہ نمبر جس سے آپ نتائج چاہتے ہیں. 1. |
| results_per_page | اختیاری شامل کریں | کتنے نتائج آپ چاہتے ہیں ایک صفحہ کے لئے. اجازت دی گئی قیمتیں ہیں: 10, 25, 50, 100, 250, 500, 1000. غلطیوں کے لئے 25. |
{
"data": [
{
"id": 1,
"name": "Development",
"color": "#0e23cc",
"email_reports": [1],
"last_datetime": null,
"datetime": "2026-10-16 01:35:19",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://0o0.online/api/projects?page=1",
"last": "https://0o0.online/api/projects?page=1",
"next": null,
"prev": null,
"self": "https://0o0.online/api/projects?page=1"
}
}
GET https://0o0.online/api/projects/{project_id}
curl --request GET \
--url 'https://0o0.online/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Development",
"color": "#0e23cc",
"email_reports": [1],
"last_datetime": null,
"datetime": "2026-10-16 01:35:19",
}
}
POST https://0o0.online/api/projects
| پیرامیٹرز | تفصیلات | تفصیل |
|---|---|---|
| name | ضروری سٹینج | - |
| color | اختیاری سٹینج | - |
| email_reports | اختیاری آریا | نوٹنگ ٹریڈر IDs |
curl --request POST \
--url 'https://0o0.online/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#ffffff' \
--form 'email_reports[]=1' \
--url 'https://0o0.online/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#ffffff' \
--form 'email_reports[]=1' \
{
"data": {
"id": 1,
"email_reports": [1]
}
}
POST https://0o0.online/api/projects/{project_id}
| پیرامیٹرز | تفصیلات | تفصیل |
|---|---|---|
| name | اختیاری سٹینج | - |
| color | اختیاری سٹینج | - |
| email_reports | اختیاری آریا | نوٹنگ ٹریڈر IDs |
curl --request POST \
--url 'https://0o0.online/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#000000' \
--form 'email_reports[]=1' \
--url 'https://0o0.online/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#000000' \
--form 'email_reports[]=1' \
{
"data": {
"id": 1,
"email_reports": [1]
}
}
DELETE https://0o0.online/api/projects/{project_id}
curl --request DELETE \
--url 'https://0o0.online/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \